org.apache.ignite.internal.visor.query

## Class VisorQueryCleanupTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<Map<UUID,Collection<String>>,Void,Void>
  - - org.apache.ignite.internal.visor.query.VisorQueryCleanupTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<Map<UUID,Collection<String>>>,Void>

    @GridInternal
    public class VisorQueryCleanupTask
    extends VisorMultiNodeTask<Map<UUID,Collection<String>>,Void,Void>

Task for cleanup not needed SCAN or SQL queries result futures from node local.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorQueryCleanupTask()`

### Method Summary

Methods
`protected VisorJob<Map<UUID,Collection<String>>,Void>` `job(Map<UUID,Collection<String>> arg)`
`protected Map<? extends ComputeJob,ClusterNode>` `map0(List<ClusterNode> subgrid, VisorTaskArgument<Map<UUID,Collection<String>>> arg)` Actual map logic.
`protected Void` `reduce0(List list)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`map, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorQueryCleanupTask

    public VisorQueryCleanupTask()

### Method Detail

#### job

    protected VisorJob<Map<UUID,Collection<String>>,Void> job(Map<UUID,Collection<String>> arg)

Specified by:
  `job` in class `VisorMultiNodeTask<Map<UUID,Collection<String>>,Void,Void>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

#### map0

    protected Map<? extends ComputeJob,ClusterNode> map0(List<ClusterNode> subgrid,
                                             @Nullable
                                             VisorTaskArgument<Map<UUID,Collection<String>>> arg)

Actual map logic.

Overrides:
  `map0` in class `VisorMultiNodeTask<Map<UUID,Collection<String>>,Void,Void>`
Parameters:
  `subgrid` - Nodes available for this task execution.
  `arg` - Task execution argument.
Returns:
  Map of grid jobs assigned to subgrid node.

#### reduce0

    @Nullable
    protected Void reduce0(List list)

Actual reduce logic.

Specified by:
  `reduce0` in class `VisorMultiNodeTask<Map<UUID,Collection<String>>,Void,Void>`
Parameters:
  `list` - Job results.
Returns:
  Task result.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015